Bug 112955

Summary: ./autotoolsconfig.h:242:28: fatal error: WebKitFeatures.h: No such file or directory
Product: WebKit Reporter: David Ronis <David.Ronis>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED DUPLICATE    
Severity: Blocker CC: zan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   

Description David Ronis 2013-03-21 12:56:16 PDT
My build of webkitgtk+ 1.11.92 fails with:

/usr/bin/g++ -DHAVE_CONFIG_H -I.  -Wall -W -Wcast-align -Wchar-subscripts -Wreturn-type -Wformat -Wformat-security -Wno-format-y2k -Wundef -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings -Wno-unused-parameter -Wno-parentheses -fno-exceptions -DBUILDING_CAIRO__ -DBUILDING_GTK__ -DBUILDING_WEBKIT2__   -I./Source -I./Source/JavaScriptCore -I./Source/JavaScriptCore/API -I./Source/JavaScriptCore/assembler -I./Source/JavaScriptCore/bytecode -I./Source/JavaScriptCore/bytecompiler -I./Source/JavaScriptCore/dfg -I./Source/JavaScriptCore/disassembler -I./Source/JavaScriptCore/heap -I./Source/JavaScriptCore/debugger -I./Source/JavaScriptCore/ForwardingHeaders -I./Source/JavaScriptCore/interpreter -I./Source/JavaScriptCore/jit -I./Source/JavaScriptCore/jit -I./Source/JavaScriptCore/llint -I./Source/JavaScriptCore/parser -I./Source/JavaScriptCore/profiler -I./Source/JavaScriptCore/runtime -I./Source/JavaScriptCore/tools -I./Source/JavaScriptCore/yarr -I./DerivedSources/JavaScriptCore -I./Source/WTF -I/opt/garnome-3.7.5/include  -I/opt/garnome-3.7.5/include -L/opt/garnome-3.7.5/lib -O2  -pipe -Wno-c++11-compat -O2 -MT Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o -MD -MP -MF Source/JavaScriptCore/llint/.deps/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.Tpo -c -o Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o `test -f 'Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp' || echo './'`Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp
In file included from ./Source/JavaScriptCore/config.h:26:0,
                 from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
./autotoolsconfig.h:242:28: fatal error: WebKitFeatures.h: No such file or directory
compilation terminated.
make[1]: *** [Source/JavaScriptCore/llint/Programs_LLIntOffsetsExtractor-LLIntOffsetsExtractor.o] Error 1
Comment 1 Zan Dobersek 2013-03-22 02:33:40 PDT
What version of Python are you using?
Comment 2 David Ronis 2013-03-22 08:50:26 PDT
I've got 3.3 and 2.7.2 installed (the former in my "gnome" path and the latter as part of the distribution (Slackware)).   By default 2.7.2 should be the one used for the webkit build, although this is easily overridden.
Comment 3 Zan Dobersek 2013-03-22 11:00:06 PDT
I believe 3.3 gets used when a script that's part of the configuration process gets run, causing these problems.

This was already fixed in bug #112956, landed in trunk in r146504 and merged into the release branch in r146576.
http://trac.webkit.org/changeset/146504
http://trac.webkit.org/changeset/146576

Would you mind building the up-to-date webkit-2.0 branch to check if the build error still occurs? If it does, the problem is obviously located somewhere else and we'll need to debug this further.
Comment 4 David Ronis 2013-03-25 08:55:49 PDT
I cloned yesterday's git/master and tried building.  The build fails with:
Comment 5 David Ronis 2013-03-25 09:02:17 PDT
I cloned yesterday's git/master and tried building.  The build fails with:  

  CXX      Source/WebCore/platform/graphics/harfbuzz/libWebCore_la-HarfBuzzShaper.lo
In file included from /opt/garnome-3.7.5/include/unicode/normlzr.h:22:0,
                 from Source/WebCore/platform/graphics/harfbuzz/HarfBuzzShaper.cpp:39:
/opt/garnome-3.7.5/include/unicode/unistr.h: In member function 'icu_4_2::UnicodeString& icu_4_2::UnicodeString::replace(int32_t, int32_t, UChar32)':
/opt/garnome-3.7.5/include/unicode/unistr.h:3986:9: warning: variable 'isError' set but not used [-Wunused-but-set-variable]
/opt/garnome-3.7.5/include/unicode/unistr.h: In member function 'icu_4_2::UnicodeString& icu_4_2::UnicodeString::append(UChar32)':
/opt/garnome-3.7.5/include/unicode/unistr.h:4264:9: warning: variable 'isError' set but not used [-Wunused-but-set-variable]
Source/WebCore/platform/graphics/harfbuzz/HarfBuzzShaper.cpp: In member function 'bool WebCore::HarfBuzzShaper::collectHarfBuzzRuns()':
Source/WebCore/platform/graphics/harfbuzz/HarfBuzzShaper.cpp:308:169: error: 'uscript_hasScript' was not declared in this scope
make[2]: *** [Source/WebCore/platform/graphics/harfbuzz/libWebCore_la-HarfBuzzShaper.lo] Error 1
make[2]: Leaving directory `/home/ronis/Project/notar/GNOME/garnome/svn/webkit/work/main.d/webkit-git'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/ronis/Project/notar/GNOME/garnome/svn/webkit/work/main.d/webkit-git'
make: *** [build-work/main.d/webkit-git/Makefile] Error 2

I've got harfbuzz-0.9.13 installed.   Also see https://bugs.webkit.org/show_bug.cgi?id=106861
Comment 6 Zan Dobersek 2013-03-26 12:36:01 PDT
Posted some ideas for the current build failure in the relevant bug. Marking this one as a duplicate of bug #112956.

*** This bug has been marked as a duplicate of bug 112956 ***